#include <bits/stdc++.h>
using namespace std;

string s;
int n,m;
char a,b;

int main(){

   cin>>s;
   cin>>n>>m;
    a=s[0];
    b=s[1];
   if(n==m){
     for(int i=1;i<=n;i++){
       cout<<s;
     }
   }
   else if(n==(m+1)){
     for(int i=1;i<=m;i++){
       cout<<a;
       cout<<b;
     }
     cout<<a;
   }
   else if((n+1)==m){
     for(int i=1;i<=n;i++){
       cout<<b;
       cout<<a;
     }
     cout<<b;
   }
   else cout<<"nemoguce"<<endl;

  return 0;
}